Skip to main content
`Ctrl`+`K`

# VecGetLocalSize

Returns the number of elements of the vector stored in local memory (that is on this MPI process)

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecGetLocalSize(Vec x, PetscInt *size)

Not Collective

## Input Parameter

- x - the vector

## Output Parameter

- size - the length of the local piece of the vector

## See Also

Vectors and Parallel Data, `Vec`, `VecGetSize()`

## Level

beginner

## Location

src/vec/vec/interface/vector.c

## Examples

src/dm/tutorials/swarm_ex3.c
src/ksp/ksp/tutorials/ex71.c
src/ksp/ksp/tutorials/ex9.c
src/ksp/ksp/tutorials/ex10.c
src/ksp/ksp/tutorials/ex23.c
src/ksp/ksp/tutorials/ex42.c
src/dm/tutorials/ex22.c
src/ksp/ksp/tutorials/ex73.c
src/dm/field/tutorials/ex1.c
src/dm/impls/plex/tutorials/ex15.c

## Implementations

VecGetLocalSize_Nest() in src/vec/vec/impls/nest/vecnest.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages